AnyDesk no Arch

Todos bem?
Dei uma guinada nas minhas distros e instalei um dual boot com Arch 20.2
Bom heim? Estou gostando muito. Leve, não ocupa memória, rápido, super 10.

Mas…, não consigo instalar o AnyDesk, que uso muito para acesso remoto.
Tentei vários tutorias, tentei via atom e não deu certo.
Alguém usa esse cara no Arch, ou conhece a receita para instalar?

Muito Obrigado, :vulcan_salute:

1 Curtida

Não vi no AUR, mas tem Team Viewer… serve?

1 Curtida

AUR.
[Edit again]
Para instalar, é necessário ter o metapacote base-devel e o git instalado. Depois é:

git clone https://aur.archlinux.org/anydesk-bin.git
cd anydesk-bin
makepkg -si

Mas é possível instalar com gerenciadores para AUR, como o Yay.

3 Curtidas

Rodrigo,
Já usei muito ele, mas cai muito, e o uso free termina muito rápido, ao contrario do Any

Obrigado

1 Curtida

Vanderlei,

Como fiz a instalação ontem, durante o dia e noite todo, não conheço, ainda, o arch como conheço o ubuntu (minha outra distro)
Não deu certo fazer o que você sugere.

1 Curtida

Deu certo (parcialmente), rodar com o git.

Apresentou o erro: PKGBUILD não existe

1 Curtida

Erro meu.

É necessário entrar no repositório que você clonou. Se você já rodou o primeiro comando antes, não é necessário rodar novamente

git clone https://aur.archlinux.org/anydesk-bin.git 
cd anydesk-bin
makepkg -si

Outra alternativa para instalar pacotes da AUR é instalar um gerenciador de pacotes da AUR, isso é benéfico, pois você pode rodar comandos do Pacman ao invés de ter que fazer manualmente. Aqui o tutorial para instalar o Yay, o gerenciador que eu uso.

git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -si

Depois de ter instalado o Yay, você pode rodar yay -S anydesk-bin e vai instalar o anydesk automaticamente.

3 Curtidas

por favor, veja a imagem em anexo.
deu pau…

Obrigado

Veja essa tela também, por favor

O erro apresentado é que o arquivo de desktop já está criado. Procure no menu se o anydesk já aparece.

1 Curtida

Infelizmente não…

Estranho, o erro é que o arquivo de desktop já existe, ou seja, já deveria aparecer. Tente rodar o aplicativo pelo terminal com esse comando anydesk.
Se não rodar, desinstale com sudo pacman -R anydesk-bin e instale novamente, manualmente seria abrir o terminal na pasta anydesk-bin e rodar novamente o makepkg -si.

2 Curtidas

OK
Tudo certo.
Rodando e ícone no menu (depois de reiniciar o sistema)

MUITO Obrigado :vulcan_salute:

3 Curtidas

se te servir de alguma forma no futuro, o arch é famosíssimo pelo aur e os aur helpers
ao invés de fazer o pacote na mão vc pode usar um aur helper pra poder instalar todos os pacotes do aur pra vc, um que eu recomendo é o yay, pra instalá-lo:

sudo pacman -Syu --needed git base-devel
git clone https://aur.archlinux.org/yay-bin
cd yay-bin/
makepkg -fsri --noconfirm

todo o pacote que vc quiser instalar é só seguir o mesmo que vc faria no pacman normal, instalar o spotify por exemplo:

yay -Syu spotify

o pessoal da comunidade do archlinux não recomendaria isso nem a pau, mas se a preguiça falar mais alto:

yay -Syu --noconfirm spotify

e tudo pronto

instalar o anydesk e o teamviewer seria:

yay -Syu --noconfirm anydesk-bin teamviewer

1 Curtida

Valeu! Obrigado :vulcan_salute:

Cara… A comunidade Diolinux é muito “PHoda” (com PH mesmo, Rsrsrsrs)!
Fazia já um tempo que acompanhava o canal e há poucos meses resolvi entrar no mundo linux. E digo que é muito show!
Bom, elogios a parte, eu tive problemas similares tentando instalar com o pacote .deb baixado do site do Anydesk. Inclusive, acabei de encontrar a solução neste tópico aqui com a resposta do @VanderleiJordaoJr (Muito Obrigado, cara!). Quando cheguei a este mesmo erro que mostra no seu print @Edbriga, foi simples pra mim. Veja que abaixo da linha:

`erro: falha ao efetuar a transação (arquivos conflitantes)`

Você tem a localização dos arquivos conflitantes:

anydesk-bin: /usr/bin/anydesk existe no sistema de arquivos
anydesk-bin: /usr/share/applications/anydesk.desktop existe no sistema de arquivos
anydesk-bin: /usr/share/polkit-1/actions/com.philandro.anydesk.policy existe no sistema de arquivos

O que eu fiz aqui foi remover estes arquivos manualmente com os respectivos comandos:

sudo rm /usr/bin/anydesk
sudo rm /usr/share/applications/anydesk.desktop
sudo rm /usr/share/polkit-1/actions/com.philandro.anydesk.policy

E depois rodei novamente os comandos conforme o @VanderleiJordaoJr sugeriu e funcionou beleza aqui!

Bom… Espero que minha primeira participação no Plus possa ter ajudado em algo.

1 Curtida